#crystal hall message 2
from eventAPI import *
from APIUtils import *

lFlagU = 0

def fireEvent(e):
   global lFlagU
   lFlagU = getTag(e, "lFlagU")
   if (lFlagU != 0):
      return 1
   else:
      showMessage(e, ["Peering down the hallway, you see the giant figure of a dragon laying upon a pile of golden treasure.", "", "This must be the oracle.", "", "You are filled with fear and awe as you approach.  Surely this great beast is older and more powerful than any dragon ever known."])
   setTag(e, "lFlagU", 1)
   return 1